schemaVersion: "1.0"
variables:
  agov-language-cookie-domain:
    className: "ch.nevis.admin.v4.plugin.base.generation.property.SimpleTextProperty"
    parameters:
      minRequired: 0
      maxAllowed: 1
    value: ".agov-d.azure.adnovum.net"
    requireOverloading: true
  ask_mobile_number-template-parameters:
    className: "ch.nevis.admin.v4.plugin.base.generation.property.TextProperty"
    parameters:
      required: false
      syntax: "YAML"
    value: null
    requireOverloading: true
  auth-session-store-database-host:
    className: "ch.nevis.admin.v4.plugin.base.generation.property.HostPortProperty"
    parameters:
      minRequired: 0
      maxAllowed: 2
      portRequired: false
    value: "mariadb-agov-dev.mariadb.database.azure.com:3306"
    requireOverloading: true
  auth-session-store-database-management:
    className: "ch.nevis.admin.v4.plugin.base.generation.property.SelectionProperty"
    parameters:
      minRequired: 1
      maxAllowed: 1
      options:
      - "complete"
      - "schema"
      - "disabled"
      - "recommended"
    value: "complete"
    requireOverloading: true
  auth-session-store-database-name:
    className: "ch.nevis.admin.v4.plugin.base.generation.property.SimpleTextProperty"
    parameters:
      minRequired: 1
      maxAllowed: 1
    value: "nevisauth"
    requireOverloading: true
  auth-session-store-database-password:
    className: "ch.nevis.admin.v4.plugin.base.generation.property.SimpleTextProperty"
    parameters:
      minRequired: 0
      maxAllowed: 1
      secret: true
    value: "sample password"
    requireOverloading: true
  auth-session-store-database-user:
    className: "ch.nevis.admin.v4.plugin.base.generation.property.SimpleTextProperty"
    parameters:
      minRequired: 0
      maxAllowed: 1
    value: "adndbadmin"
    requireOverloading: true
  auth-session-store-root-credential:
    className: "ch.nevis.admin.v4.plugin.base.generation.property.SimpleTextProperty"
    parameters:
      minRequired: 0
      maxAllowed: 1
    value: "root-adn-agov-nevisidm-01-dev-idm"
    requireOverloading: true
  auth-session-store-root-credential-namespace:
    className: "ch.nevis.admin.v4.plugin.base.generation.property.SimpleTextProperty"
    parameters:
      minRequired: 0
      maxAllowed: 1
    value: "adn-agov-nevisidm-01-dev-idm"
    requireOverloading: true
  auth-session-store-schema-user:
    className: "ch.nevis.admin.v4.plugin.base.generation.property.SimpleTextProperty"
    parameters:
      minRequired: 0
      maxAllowed: 1
    value: "nevisauth"
    requireOverloading: true
  auth_realm_main_idp_custom_idp_dispatcher-template-parameters:
    className: "ch.nevis.admin.v4.plugin.base.generation.property.TextProperty"
    parameters:
      required: false
      syntax: "YAML"
    value: "epd_idp_binding_mode: post\natb: https://trustbroker.agov-epr-lab.azure.adnovum.net\n\
      epd_atb: https://trustbroker-idp.agov-epr-lab.azure.adnovum.net\n \n"
    requireOverloading: true
  auth_realm_main_sts_parameters:
    className: "ch.nevis.admin.v4.plugin.base.generation.property.TextProperty"
    parameters:
      required: false
      syntax: "YAML"
    value: |-
      cert.source: "#{request:actorCertAsString}"
      techuser.client.name: Default
      accounts.client.name: agov
      shadow-accounts.client.name: AGOV-S
      saml.assertion.audience: "https://me.agov-d.azure.adnovum.net/account/api/saml2/service-provider-metadata/agovidpdirect"
      saml.assertion.acsurl: "https://me.agov-d.azure.adnovum.net/login/saml2/sso/agovidp"
      saml.assertion.max_age: 30
    requireOverloading: true
  auth_soap-backend-addresses:
    className: "ch.nevis.admin.v4.plugin.base.generation.property.URLProperty"
    parameters:
      minRequired: 1
      schemeInputMode: "OPTIONAL"
      allowedSchemes: "http,https"
      hostNameInputMode: "REQUIRED"
      portInputMode: "OPTIONAL"
      pathInputMode: "OPTIONAL"
    value: "https://auth:8991/nevisauth/services/"
    requireOverloading: true
  authentication-parameters:
    className: "ch.nevis.admin.v4.plugin.base.generation.property.TextProperty"
    parameters:
      required: false
      syntax: "YAML"
    value: |-
      fido2.serviceAndPort: fido2:9443
      rpId: auth.agov.admin.ch
    requireOverloading: true
  backendAppIconUrl:
    className: "ch.nevis.admin.v4.plugin.base.generation.property.URLProperty"
    parameters:
      minRequired: 1
      schemeInputMode: "OPTIONAL"
      allowedSchemes: "http,https"
      hostNameInputMode: "REQUIRED"
      portInputMode: "OPTIONAL"
      pathInputMode: "OPTIONAL"
    value: "http://connect-application-billing.adn-agov-connect-01-dev:8082/connect/billing/relying-party/app-icon"
    requireOverloading: true
  base-security-response-headers-response-headers:
    className: "ch.nevis.admin.v4.plugin.base.generation.property.KeyValueProperty"
    parameters:
      minRequired: 1
      separators:
      - ":"
      switchedSeparators: []
    value:
    - Strict-Transport-Security: "max-age=63072000; includeSubDomains;"
    - X-Content-Type-Options: "nosniff"
    - Referrer-Policy: "strict-origin-when-cross-origin"
    - X-Frame-Options: "DENY"
    - Cross-Origin-Opener-Policy: "same-origin"
    - Cross-Origin-Embedder-Policy: "require-corp"
    - Cross-Origin-Resource-Policy: "same-site"
    - Permissions-Policy: "geolocation=(), camera=(), microphone=(), interest-cohort=()"
    requireOverloading: true
  csp-security-response-headers:
    className: "ch.nevis.admin.v4.plugin.base.generation.property.KeyValueProperty"
    parameters:
      separators:
      - "="
      switchedSeparators: []
    value:
    - param_csp: "default-src 'none'; script-src 'wasm-unsafe-eval' 'self' 'sha256-4r4l/2aahtvPIxQP0YmmqfftYXNwNqxxqOUaXVE0FjM='\
        \ 'sha256-3sconOU5uxdS6tVa5DhEli3N+/aY9IvYh873WqDptD0=' 'sha256-N3+RfLbnlpBc0lUnNy4soyLbX0tNDqQt5LPzkEsYOHo='\
        \ 'sha256-uOoE0nq21NJDv37YLUOxV9aCnNstJ0GK7BiXNMXQAcI='; worker-src blob:;\
        \ child-src blob:; connect-src 'self' https://api.friendlycaptcha.com/api/v1/puzzle;\
        \ img-src 'self'; style-src 'self' 'unsafe-inline' ; form-action 'self' https://trustbroker.agov-d.azure.adnovum.net/adfs/ls\
        \ https://me.agov-d.azure.adnovum.net/registration/api/login/saml2/sso/agovidpdirect\
        \ https://me.agov-d.azure.adnovum.net/account/api/login/saml2/sso/agovidpdirect;\
        \ font-src 'self';"
    - param_report_only_csp: "none"
    requireOverloading: true
  eid-oid4vp-service-url:
    className: "ch.nevis.admin.v4.plugin.base.generation.property.URLProperty"
    parameters:
      minRequired: 1
      schemeInputMode: "OPTIONAL"
      allowedSchemes: "http,https"
      hostNameInputMode: "REQUIRED"
      portInputMode: "OPTIONAL"
      pathInputMode: "OPTIONAL"
    value: "http://eid-verifier-oid4vp.adn-agov-eid-01-dev:8081/oid4vp/"
    requireOverloading: true
  ensure_recovery_code-parameters:
    className: "ch.nevis.admin.v4.plugin.base.generation.property.TextProperty"
    parameters:
      required: false
      syntax: "YAML"
    value: |-
      utility-service.baseUrl: http://me-application-me-be.adn-agov-me-01-dev:8081/utility
      token.algorithm: RS512
      token.time_to_live: 600
      token.keystoreref: DefaultKeyStore
      token.keyobjectref: DefaultSigner
    requireOverloading: true
  env_ca-trusted-certificates:
    className: "ch.nevis.admin.v4.plugin.base.generation.property.AttachmentProperty"
    parameters:
      minRequired: 0
      secretPreserving: true
    value: null
    requireOverloading: true
  epd_artifact_resolution_service-template-parameters:
    className: "ch.nevis.admin.v4.plugin.base.generation.property.TextProperty"
    parameters:
      required: false
      syntax: "YAML"
    value: "endpoint: auth.agov-epr-lab.azure.adnovum.net"
    requireOverloading: true
  epd_idp-parameters:
    className: "ch.nevis.admin.v4.plugin.base.generation.property.AuthStateProperty"
    parameters:
      separators:
      - "->"
      - "="
      switchedSeparators: []
      problematicSeparator: "->"
    value:
    - out.authnContextClassRef: "${sess:contextClassRefToSet}"
    requireOverloading: true
  externalingresssettings-annotations:
    className: "ch.nevis.admin.v4.plugin.base.generation.property.KeyValueProperty"
    parameters:
      separators:
      - ":"
      switchedSeparators: []
    value: null
    requireOverloading: true
  externalingresssettings-class-name:
    className: "ch.nevis.admin.v4.plugin.base.generation.property.SimpleTextProperty"
    parameters:
      minRequired: 0
      maxAllowed: 1
    value: "nginx"
    requireOverloading: true
  extid_user_verify-template-parameters:
    className: "ch.nevis.admin.v4.plugin.base.generation.property.TextProperty"
    parameters:
      required: false
      syntax: "YAML"
    value: |
      client.name: agov
      attributes: loginId,extId,firstName,name,email,gender,birthDate,language,sex,addressLine1,postalCode,city,country,street,houseNumber,locality,mobile
      properties: eIdNumber,placeOfBirth,svnr,nationality
      agov.unitExtId: 1000
      agov.level100.roleExtid: aee52e9f-7084-4e55-9aea-9383ac7757f7
    requireOverloading: false
  fido-session-store-database-host:
    className: "ch.nevis.admin.v4.plugin.base.generation.property.HostPortProperty"
    parameters:
      minRequired: 0
      maxAllowed: 2
      portRequired: false
    value: "mariadb-agov-dev.mariadb.database.azure.com:3306"
    requireOverloading: true
  fido-session-store-database-management-fido2:
    className: "ch.nevis.admin.v4.plugin.base.generation.property.SelectionProperty"
    parameters:
      minRequired: 1
      maxAllowed: 1
      options:
      - "complete"
      - "schema"
      - "disabled"
      - "recommended"
    value: "recommended"
    requireOverloading: true
  fido-session-store-database-management-uaf:
    className: "ch.nevis.admin.v4.plugin.base.generation.property.SelectionProperty"
    parameters:
      minRequired: 1
      maxAllowed: 1
      options:
      - "complete"
      - "schema"
      - "disabled"
      - "recommended"
    value: "recommended"
    requireOverloading: true
  fido-session-store-database-name-fido2:
    className: "ch.nevis.admin.v4.plugin.base.generation.property.SimpleTextProperty"
    parameters:
      minRequired: 1
      maxAllowed: 1
    value: "nevisfido_fido2"
    requireOverloading: true
  fido-session-store-database-name-uaf:
    className: "ch.nevis.admin.v4.plugin.base.generation.property.SimpleTextProperty"
    parameters:
      minRequired: 1
      maxAllowed: 1
    value: "nevisfido_uaf"
    requireOverloading: true
  fido-session-store-database-password:
    className: "ch.nevis.admin.v4.plugin.base.generation.property.SimpleTextProperty"
    parameters:
      minRequired: 0
      maxAllowed: 1
      secret: true
    value: "sample password"
    requireOverloading: true
  fido-session-store-database-user:
    className: "ch.nevis.admin.v4.plugin.base.generation.property.SimpleTextProperty"
    parameters:
      minRequired: 0
      maxAllowed: 1
    value: "adndbadmin"
    requireOverloading: true
  fido-session-store-root-credential:
    className: "ch.nevis.admin.v4.plugin.base.generation.property.SimpleTextProperty"
    parameters:
      minRequired: 0
      maxAllowed: 1
    value: "root-adn-agov-nevisidm-01-dev-idm"
    requireOverloading: true
  fido-session-store-root-credential-namespace:
    className: "ch.nevis.admin.v4.plugin.base.generation.property.SimpleTextProperty"
    parameters:
      minRequired: 0
      maxAllowed: 1
    value: "adn-agov-nevisidm-01-dev-idm"
    requireOverloading: true
  fido-uaf-device-service-timeout:
    className: "ch.nevis.admin.v4.plugin.base.generation.property.DurationProperty"
    parameters:
      required: true
    value: "10m"
    requireOverloading: false
  fido-uaf-generic-token-timeout:
    className: "ch.nevis.admin.v4.plugin.base.generation.property.DurationProperty"
    parameters:
      required: true
    value: "60"
    requireOverloading: true
  fido2-relying-party-id:
    className: "ch.nevis.admin.v4.plugin.base.generation.property.HostProperty"
    parameters:
      minRequired: 1
      maxAllowed: 1
    value: "adnovum.net"
    requireOverloading: true
  fido_uaf_extended_frontent_truststore-fw_proxy_ca_cert:
    className: "ch.nevis.admin.v4.plugin.base.generation.property.AttachmentProperty"
    parameters:
      minRequired: 0
    value: null
    requireOverloading: true
  fido_uaf_instance-custom-uri-link:
    className: "ch.nevis.admin.v4.plugin.base.generation.property.SimpleTextProperty"
    parameters:
      minRequired: 0
      maxAllowed: 1
    value: "agovaccess-t://x-callback-url/authenticate"
    requireOverloading: true
  fido_uaf_instance-facets:
    className: "ch.nevis.admin.v4.plugin.base.generation.property.SimpleTextProperty"
    parameters:
      minRequired: 1
    value:
    - "android:apk-key-hash:kb0yJ345nFUmt4nOYK5Li7KvwDDobMKPosY48Uwb0QI"
    - "ios:bundle-id:ch.agov.accessapp.t"
    requireOverloading: true
  fido_uaf_instance-firebase-configuration:
    className: "ch.nevis.admin.v4.plugin.base.generation.property.AttachmentProperty"
    parameters:
      minRequired: 0
      maxAllowed: 1
      secret: true
    value: null
    requireOverloading: true
  fido_uaf_instance-firebase-proxy-url:
    className: "ch.nevis.admin.v4.plugin.base.generation.property.URLProperty"
    parameters:
      minRequired: 0
      maxAllowed: 1
      schemeInputMode: "REQUIRED"
      allowedSchemes: "http https"
      hostNameInputMode: "REQUIRED"
      portInputMode: "OPTIONAL"
      pathInputMode: "NONE"
    value: null
    requireOverloading: true
  idm-agov-client-extid:
    className: "ch.nevis.admin.v4.plugin.base.generation.property.SimpleTextProperty"
    parameters:
      minRequired: 1
      maxAllowed: 1
    value: "cfa9c9b9-119f-4dff-9bb8-86d7c0cf2720"
    requireOverloading: false
  idm-agov-client-name:
    className: "ch.nevis.admin.v4.plugin.base.generation.property.SimpleTextProperty"
    parameters:
      minRequired: 1
      maxAllowed: 1
    value:
    - "agov"
    requireOverloading: false
  idm-connection-namespace:
    className: "ch.nevis.admin.v4.plugin.base.generation.property.SimpleTextProperty"
    parameters:
      minRequired: 0
      maxAllowed: 1
    value: "agov-nevisidm-admin-01-prod-p"
    requireOverloading: false
  idm-connection-url:
    className: "ch.nevis.admin.v4.plugin.base.generation.property.URLProperty"
    parameters:
      minRequired: 1
      schemeInputMode: "OPTIONAL"
      allowedSchemes: "https"
      hostNameInputMode: "REQUIRED"
      portInputMode: "REQUIRED"
      pathInputMode: "NONE"
    value: "idm:8989"
    requireOverloading: false
  idp-authentication-session-timeout:
    className: "ch.nevis.admin.v4.plugin.base.generation.property.DurationProperty"
    parameters:
      min: "5s"
      max: "1h"
      required: true
    value: "2m"
    requireOverloading: true
  idp-cors-filter-template-parameters:
    className: "ch.nevis.admin.v4.plugin.base.generation.property.TextProperty"
    parameters:
      required: false
      syntax: "YAML"
    value: "cors.allowed.fqdns: '{\"trustbroker.agov-d.azure.adnovum.net\", \"auth.agov-d.azure.adnovum.net\"\
      }'"
    requireOverloading: true
  idp-sp-connector-properties:
    className: "ch.nevis.admin.v4.plugin.base.generation.property.AuthStateProperty"
    parameters:
      separators:
      - "->"
      - "="
      switchedSeparators: []
      problematicSeparator: "->"
    value:
    - out.authnContextClassRef: "${sess:contextClassRefToSet}"
    requireOverloading: true
  idp_agov-saml-issuer:
    className: "ch.nevis.admin.v4.plugin.base.generation.property.SimpleTextProperty"
    parameters:
      minRequired: 1
      maxAllowed: 1
      format: "^[^\\s,]*$"
    value: "https://idp.agov-d.azure.adnovum.net/SAML2/"
    requireOverloading: true
  idp_agov_sec-saml-issuer:
    className: "ch.nevis.admin.v4.plugin.base.generation.property.SimpleTextProperty"
    parameters:
      minRequired: 1
      maxAllowed: 1
      format: "^[^\\s,]*$"
    value: "agov-sec"
    requireOverloading: true
  idp_pem_atb-trusted-certificates:
    className: "ch.nevis.admin.v4.plugin.base.generation.property.AttachmentProperty"
    parameters:
      minRequired: 0
      secretPreserving: true
    value: null
    requireOverloading: true
  idp_pem_atb_enc_certificate:
    className: "ch.nevis.admin.v4.plugin.base.generation.property.AttachmentProperty"
    parameters:
      minRequired: 0
      secretPreserving: true
    value: null
    requireOverloading: true
  idp_pem_signer-key-store-content:
    className: "ch.nevis.admin.v4.plugin.base.generation.property.AttachmentProperty"
    parameters:
      minRequired: 0
      secretPreserving: true
    value: null
    requireOverloading: true
  idp_sp_connector-sp-issuer:
    className: "ch.nevis.admin.v4.plugin.base.generation.property.SimpleTextProperty"
    parameters:
      minRequired: 1
      maxAllowed: 1
      format: "^[^\\s,]*$"
    value: "https://trustbroker.agov-d.azure.adnovum.net"
    requireOverloading: true
  idp_sp_connector-sp-url---assertion-consumer-services:
    className: "ch.nevis.admin.v4.plugin.base.generation.property.URLProperty"
    parameters:
      minRequired: 1
      schemeInputMode: "OPTIONAL"
      allowedSchemes: "http,https"
      hostNameInputMode: "OPTIONAL"
      portInputMode: "OPTIONAL"
      pathInputMode: "OPTIONAL"
      queryInputMode: "OPTIONAL"
    value: "https://trustbroker.agov-d.azure.adnovum.net/adfs/ls"
    requireOverloading: true
  idp_sp_epd_connector-outbound-binding:
    className: "ch.nevis.admin.v4.plugin.base.generation.property.SelectionProperty"
    parameters:
      minRequired: 1
      maxAllowed: 1
      options:
      - "http-post"
      - "http-redirect"
    value: "http-post"
    requireOverloading: true
  idp_sp_epd_connector-sp-issuer:
    className: "ch.nevis.admin.v4.plugin.base.generation.property.SimpleTextProperty"
    parameters:
      minRequired: 1
      maxAllowed: 1
      format: "^[^\\s,]*$"
    value: "https://trustbroker-idp.agov-d.azure.adnovum.net"
    requireOverloading: true
  idp_sp_epd_connector-sp-url---assertion-consumer-services:
    className: "ch.nevis.admin.v4.plugin.base.generation.property.URLProperty"
    parameters:
      minRequired: 1
      schemeInputMode: "OPTIONAL"
      allowedSchemes: "http,https"
      hostNameInputMode: "OPTIONAL"
      portInputMode: "OPTIONAL"
      pathInputMode: "OPTIONAL"
      queryInputMode: "OPTIONAL"
    value: "https://trustbroker-idp.agov-d.azure.adnovum.net/adfs/ls"
    requireOverloading: true
  idp_sp_sec_connector-custom-properties:
    className: "ch.nevis.admin.v4.plugin.base.generation.property.AuthStateProperty"
    parameters:
      separators:
      - "->"
      - "="
      switchedSeparators: []
      problematicSeparator: "->"
    value:
    - out.binding: "http-artifact"
    requireOverloading: false
  idp_sp_sec_connector-encrypted-content:
    className: "ch.nevis.admin.v4.plugin.base.generation.property.SelectionProperty"
    parameters:
      options:
      - "Assertion"
      - "Attribute"
      - "NameID"
    value:
    - "Assertion"
    requireOverloading: false
  idp_sp_sec_connector-sp-issuer:
    className: "ch.nevis.admin.v4.plugin.base.generation.property.SimpleTextProperty"
    parameters:
      minRequired: 1
      maxAllowed: 1
      format: "^[^\\s,]*$"
    value: "atb-sec"
    requireOverloading: true
  idp_sp_sec_settings:
    className: "ch.nevis.admin.v4.plugin.base.generation.property.TextProperty"
    parameters:
      required: false
      syntax: "YAML"
    value: |
      out.post.relayStateEncoding: HTML
      out.encrypt: Assertion
      out.encrypt.keystoreref: EncryptionKeys
      out.encrypt.keyobjectref: DefaultEncryptionKey
    requireOverloading: false
  internal-idp-auth-signer-trust-additional-trusted-certificates:
    className: "ch.nevis.admin.v4.plugin.base.generation.property.AttachmentProperty"
    parameters:
      minRequired: 0
    value: null
    requireOverloading: true
  log_auth-default-log-level:
    className: "ch.nevis.admin.v4.plugin.base.generation.property.SelectionProperty"
    parameters:
      minRequired: 0
      maxAllowed: 1
      options:
      - "ERROR"
      - "WARN"
      - "INFO"
      - "DEBUG"
      - "TRACE"
    value: "WARN"
    requireOverloading: false
  log_auth-log-levels:
    className: "ch.nevis.admin.v4.plugin.base.generation.property.KeyValueProperty"
    parameters:
      separators:
      - "="
      switchedSeparators: []
    value:
    - AuthPerf: "INFO"
    - AGOV-ACCT: "INFO"
    - AgovCaptcha: "INFO"
    - IdmAuth: "ERROR"
    - OpTrace: "INFO"
    requireOverloading: false
  log_fido2-default-log-level:
    className: "ch.nevis.admin.v4.plugin.base.generation.property.SelectionProperty"
    parameters:
      minRequired: 0
      maxAllowed: 1
      options:
      - "ERROR"
      - "WARN"
      - "INFO"
      - "DEBUG"
      - "TRACE"
    value: "WARN"
    requireOverloading: false
  log_fido2-log-levels:
    className: "ch.nevis.admin.v4.plugin.base.generation.property.KeyValueProperty"
    parameters:
      separators:
      - "="
      switchedSeparators: []
    value:
    - OpTrace: "INFO"
    requireOverloading: false
  log_fido_uaf-default-log-level:
    className: "ch.nevis.admin.v4.plugin.base.generation.property.SelectionProperty"
    parameters:
      minRequired: 0
      maxAllowed: 1
      options:
      - "ERROR"
      - "WARN"
      - "INFO"
      - "DEBUG"
      - "TRACE"
    value: "WARN"
    requireOverloading: false
  log_fido_uaf-log-levels:
    className: "ch.nevis.admin.v4.plugin.base.generation.property.KeyValueProperty"
    parameters:
      separators:
      - "="
      switchedSeparators: []
    value:
    - OpTrace: "INFO"
    requireOverloading: false
  log_proxy-default-log-level:
    className: "ch.nevis.admin.v4.plugin.base.generation.property.SelectionProperty"
    parameters:
      minRequired: 0
      maxAllowed: 1
      options:
      - "ERROR"
      - "NOTICE"
      - "INFO"
      - "DEBUG"
      - "DEBUG_HIGH"
      - "TRACE"
    value: "NOTICE"
    requireOverloading: false
  log_proxy-log-levels:
    className: "ch.nevis.admin.v4.plugin.base.generation.property.KeyValueProperty"
    parameters:
      separators:
      - "="
      - ":"
      switchedSeparators: []
    value:
    - IsiwebOp: "INFO"
    - NavajoOp: "INFO"
    requireOverloading: false
  nevisfido2-relying-party-id:
    className: "ch.nevis.admin.v4.plugin.base.generation.property.HostProperty"
    parameters:
      minRequired: 1
      maxAllowed: 1
    value: "agov-d.azure.adnovum.net"
    requireOverloading: true
  nevisfido2-relying-party-name:
    className: "ch.nevis.admin.v4.plugin.base.generation.property.SimpleTextProperty"
    parameters:
      minRequired: 1
      maxAllowed: 1
    value: "AGOV-RelPartName"
    requireOverloading: true
  nevisfido2-relying-party-origins:
    className: "ch.nevis.admin.v4.plugin.base.generation.property.URLProperty"
    parameters:
      minRequired: 1
      portInputMode: "OPTIONAL"
      hostNameInputMode: "REQUIRED"
      schemeInputMode: "REQUIRED"
      pathInputMode: "NONE"
      allowedSchemes: "http,https"
    value: "https://me.agov-d.azure.adnovum.net"
    requireOverloading: true
  nevisfido_uaf_java_env-settings-java-opts:
    className: "ch.nevis.admin.v4.plugin.base.generation.property.SimpleTextProperty"
    parameters:
      minRequired: 0
    value: null
    requireOverloading: true
  nevislogrend-configuration-logrendproperties:
    className: "ch.nevis.admin.v4.plugin.base.generation.property.KeyValueProperty"
    parameters: {}
    value:
    - cache.revalidate.delay: "-1"
    requireOverloading: true
  new-nevisfido-uaf-instance-frontend-address:
    className: "ch.nevis.admin.v4.plugin.base.generation.property.URLProperty"
    parameters:
      minRequired: 0
      maxAllowed: 1
      schemeInputMode: "REQUIRED"
      allowedSchemes: "http,https"
      hostNameInputMode: "REQUIRED"
      portInputMode: "OPTIONAL"
      pathInputMode: "OPTIONAL"
    value: "https://nevisidm.agov-d.azure.adnovum.net"
    requireOverloading: true
  observabilitysettings:
    className: "ch.nevis.admin.v4.plugin.base.generation.property.KeyValueProperty"
    parameters:
      minRequired: 0
    value:
    - connectionString: "InstrumentationKey=00000000-0000-0000-0000-000000000000"
    - tracesEndpoint: "http://otel-otel-collector.adn-agov-monitoring-01-dev:4318/v1/traces"
    - metricsEndpoint: "http://otel-otel-collector.adn-agov-monitoring-01-dev:4318/v1/metrics"
    - logsEndpoint: "http://otel-otel-collector.adn-agov-monitoring-01-dev:4318/v1/logs"
    requireOverloading: true
  proxy-session-store-database-host:
    className: "ch.nevis.admin.v4.plugin.base.generation.property.HostPortProperty"
    parameters:
      minRequired: 0
      maxAllowed: 2
      portRequired: false
    value: "mariadb-agov-dev.mariadb.database.azure.com:3306"
    requireOverloading: true
  proxy-session-store-database-management:
    className: "ch.nevis.admin.v4.plugin.base.generation.property.SelectionProperty"
    parameters:
      minRequired: 1
      maxAllowed: 1
      options:
      - "complete"
      - "schema"
      - "disabled"
      - "recommended"
    value: "disabled"
    requireOverloading: true
  proxy-session-store-database-name:
    className: "ch.nevis.admin.v4.plugin.base.generation.property.SimpleTextProperty"
    parameters:
      minRequired: 1
      maxAllowed: 1
    value: "idp_replicated_session_store"
    requireOverloading: true
  proxy-session-store-database-password:
    className: "ch.nevis.admin.v4.plugin.base.generation.property.SimpleTextProperty"
    parameters:
      minRequired: 0
      maxAllowed: 1
      secret: true
    value: "sample password"
    requireOverloading: true
  proxy-session-store-database-user:
    className: "ch.nevis.admin.v4.plugin.base.generation.property.SimpleTextProperty"
    parameters:
      minRequired: 0
      maxAllowed: 1
    value: "adndbadmin"
    requireOverloading: true
  proxy-session-store-root-credential:
    className: "ch.nevis.admin.v4.plugin.base.generation.property.SimpleTextProperty"
    parameters:
      minRequired: 0
      maxAllowed: 1
    value: "root-adn-agov-nevisidm-01-dev-idm"
    requireOverloading: true
  proxy-session-store-root-credential-namespace:
    className: "ch.nevis.admin.v4.plugin.base.generation.property.SimpleTextProperty"
    parameters:
      minRequired: 0
      maxAllowed: 1
    value: "adn-agov-nevisidm-01-dev-idm"
    requireOverloading: true
  proxyobservabilitysettings-metricsEndpoint:
    className: "ch.nevis.admin.v4.plugin.base.generation.property.URLProperty"
    parameters:
      minRequired: 0
      maxAllowed: 1
      schemeInputMode: "NONE"
      hostNameInputMode: "REQUIRED"
      portInputMode: "REQUIRED"
      pathInputMode: "NONE"
    value: "otel-otel-collector.adn-agov-monitoring-01-dev:4318"
    requireOverloading: true
  proxyobservabilitysettings-tracesEndpoint:
    className: "ch.nevis.admin.v4.plugin.base.generation.property.URLProperty"
    parameters:
      minRequired: 0
      maxAllowed: 1
      schemeInputMode: "NONE"
      hostNameInputMode: "REQUIRED"
      portInputMode: "REQUIRED"
      pathInputMode: "NONE"
    value: "otel-otel-collector.adn-agov-monitoring-01-dev:4318"
    requireOverloading: true
  recovery-pdf-script-parameters:
    className: "ch.nevis.admin.v4.plugin.base.generation.property.KeyValueProperty"
    parameters:
      separators:
      - "="
      switchedSeparators: []
    value:
    - param_auth_signer_key: "keyvalue<br>anotherline"
    - param_auth_signer_new_key: "none or same format es the primary"
    requireOverloading: true
  recovery_pdf_generation-backend-address:
    className: "ch.nevis.admin.v4.plugin.base.generation.property.URLProperty"
    parameters:
      minRequired: 1
      schemeInputMode: "OPTIONAL"
      allowedSchemes: "http,https"
      hostNameInputMode: "REQUIRED"
      portInputMode: "OPTIONAL"
      pathInputMode: "OPTIONAL"
    value: "http://me-application-me-be.adn-agov-me-01-dev:8081/utility/api/v1/recovery/pdf"
    requireOverloading: true
  request-validation-settings-modsecurity-log-only-mode:
    className: "ch.nevis.admin.v4.plugin.base.generation.property.SelectionProperty"
    parameters:
      minRequired: 1
      maxAllowed: 1
      options:
      - "enabled"
      - "disabled"
    value: "enabled"
    requireOverloading: true
  request-validation-settings-modsecurity-paranoia-level:
    className: "ch.nevis.admin.v4.plugin.base.generation.property.SelectionProperty"
    parameters:
      minRequired: 0
      maxAllowed: 1
      options:
      - "1"
      - "2"
      - "3"
      - "4"
    value: "3"
    requireOverloading: true
  requestedrolelevel-script-parameters:
    className: "ch.nevis.admin.v4.plugin.base.generation.property.KeyValueProperty"
    parameters:
      separators:
      - ":"
      - "="
      switchedSeparators: []
    value:
    - ? ""
      : ""
    requireOverloading: true
  saml-idp-signer-pem-key-store-private-key-passphrase:
    className: "ch.nevis.admin.v4.plugin.base.generation.property.SimpleTextProperty"
    parameters:
      minRequired: 0
      maxAllowed: 1
      secret: true
    value: "sample password"
    requireOverloading: true
  service_provider_state-registration-template-parameters:
    className: "ch.nevis.admin.v4.plugin.base.generation.property.TextProperty"
    parameters:
      required: false
      syntax: "YAML"
    value: "issuer: https://auth.agov-d.azure.adnovum.net/SAML2/\ndirectAudience:\
      \ https://me.agov-d.azure.adnovum.net/registration/api/saml2/service-provider-metadata/agovidpdirect\n\
      agovmedirecturl: https://me.agov-d.azure.adnovum.net/registration/api/login/saml2/sso/agovidpdirect\n\
      consumerURL: https://me.agov-d.azure.adnovum.net/login/saml2/sso/agovidp\nassertionValidityTime:\
      \ 20 "
    requireOverloading: true
  service_provider_state-template-parameters:
    className: "ch.nevis.admin.v4.plugin.base.generation.property.TextProperty"
    parameters:
      required: false
      syntax: "YAML"
    value: |-
      issuer: https://me.agov-d.azure.adnovum.net/saml2/service-provider-metadata/agovidp
      agovmedirecturl: https://me.agov-d.azure.adnovum.net/account/api/login/saml2/sso/agovidpdirect
      directAudience: https://me.agov-d.azure.adnovum.net/account/api/saml2/service-provider-metadata/agovidpdirect
      consumerURL: https://me.agov-d.azure.adnovum.net/login/saml2/sso/agovidp
      assertionValidityTime: 20
    requireOverloading: true
  sts_saml-template-parameters:
    className: "ch.nevis.admin.v4.plugin.base.generation.property.TextProperty"
    parameters:
      required: false
      syntax: "YAML"
    value: "secToken.binary: true"
    requireOverloading: true
  sts_unametoken-template-parameters:
    className: "ch.nevis.admin.v4.plugin.base.generation.property.TextProperty"
    parameters:
      required: false
      syntax: "YAML"
    value: "secToken.binary: true"
    requireOverloading: true
  technical_trust_store-additional-trusted-certificates:
    className: "ch.nevis.admin.v4.plugin.base.generation.property.AttachmentProperty"
    parameters:
      minRequired: 0
    value: null
    requireOverloading: true
  utility_resource_service-backend-address:
    className: "ch.nevis.admin.v4.plugin.base.generation.property.URLProperty"
    parameters:
      minRequired: 1
      schemeInputMode: "OPTIONAL"
      allowedSchemes: "http,https"
      hostNameInputMode: "REQUIRED"
      portInputMode: "OPTIONAL"
      pathInputMode: "OPTIONAL"
    value: "http://utility-application-be.adn-agov-me-01-dev:8081/utility/"
    requireOverloading: true
  verify_shadow_user-parameters:
    className: "ch.nevis.admin.v4.plugin.base.generation.property.TextProperty"
    parameters:
      required: false
      syntax: "YAML"
    value: |
      client.name: AGOV-S
      attributes: loginId,extId
    requireOverloading: true
  virtual_host-frontend-addresses:
    className: "ch.nevis.admin.v4.plugin.base.generation.property.URLProperty"
    parameters:
      minRequired: 1
      schemeInputMode: "REQUIRED"
      allowedSchemes: "http,https"
      hostNameInputMode: "REQUIRED"
      portInputMode: "OPTIONAL"
      pathInputMode: "OPTIONAL"
    value: "https://nevisidm.agov-d.azure.adnovum.net"
    requireOverloading: true
  virtual_host_idp-frontend-addresses:
    className: "ch.nevis.admin.v4.plugin.base.generation.property.URLProperty"
    parameters:
      minRequired: 1
      schemeInputMode: "REQUIRED"
      allowedSchemes: "http,https"
      hostNameInputMode: "REQUIRED"
      portInputMode: "OPTIONAL"
      pathInputMode: "OPTIONAL"
    value: "https://auth.agov-d.azure.adnovum.net"
    requireOverloading: true
